%define	name	opencdk
%define	version	0.5.5
%define release	3mdk

%define libgcrypt_version 1.1.94

%define major	8
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}

Summary:	Open Crypto Development Kit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://www.gnutls.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/opencdk/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/opencdk/%{name}-%{version}.tar.bz2.sig.asc
Patch0:		opencdk-0.5.4-automake18.patch.bz2

BuildRequires:	zlib-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}

%description
%{name} library provides basic parts of the OpenPGP message format.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.


%package -n	%{libname}
Summary:	Open Crypto Development Kit
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
%{name} library provides basic parts of the OpenPGP message format.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.


%package -n	%{libname}-devel
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	libgcrypt-devel >= %{libgcrypt_version}

%description -n	%{libname}-devel
%{name} library provides basic parts of the OpenPGP message format.

You will need to install this package if you want to develop or 
compile any applications/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .automake18

%build
%configure2_5x
%make
make check

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 644 src/opencdk.m4 %{buildroot}%{_datadir}/aclocal/opencdk.m4

%multiarch_binaries %{buildroot}%{_bindir}/*-config

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/DETAILS doc/opencdk-api.html
%{_bindir}/*-config
%multiarch %{multiarch_bindir}/*-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.5.5-3mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.5-2mdk
- fix %%libname_orig

* Sat Dec 18 2004 Abel Cheung <deaddog@mandrake.org> 0.5.5-1mdk
- New version
- make check

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.5.4-2mdk
- Source forgot to install m4 file
- Patch0: automake 1.8 compatibility

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.4-1mdk
- Release 0.5.4
- Switch to gzip source, since they are signed upstream

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.3-1mdk
- new release

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.5.1-1mdk
- First Mandrake package
